$(() => {
$('#toolbar').dxToolbar({
items: [{
location: 'before',
widget: 'dxButton',
options: {
type: 'back',
onClick() {
DevExpress.ui.notify('Back button has been clicked!');
},
},
}, {
location: 'before',
widget: 'dxButton',
locateInMenu: 'auto',
options: {
icon: 'refresh',
onClick() {
DevExpress.ui.notify('Refresh button has been clicked!');
},
},
}, {
location: 'center',
locateInMenu: 'never',
template() {
return $("<div class='toolbar-label'><b>Tom's Club</b> Products</div>");
},
}, {
location: 'after',
widget: 'dxSelectBox',
locateInMenu: 'auto',
options: {
width: 140,
items: productTypes,
valueExpr: 'id',
displayExpr: 'text',
value: productTypes[0].id,
onValueChanged(args) {
if (args.value > 1) {
productsStore.filter('type', '=', args.value);
} else {
productsStore.filter(null);
}
productsStore.load();
},
},
}, {
location: 'after',
widget: 'dxButton',
locateInMenu: 'auto',
options: {
icon: 'plus',
onClick() {
DevExpress.ui.notify('Add button has been clicked!');
},
},
}, {
locateInMenu: 'always',
widget: 'dxButton',
options: {
text: 'Save',
onClick() {
DevExpress.ui.notify('Save option has been clicked!');
},
},
}, {
locateInMenu: 'always',
widget: 'dxButton',
options: {
text: 'Print',
onClick() {
DevExpress.ui.notify('Print option has been clicked!');
},
},
}, {
locateInMenu: 'always',
widget: 'dxButton',
options: {
text: 'Settings',
onClick() {
DevExpress.ui.notify('Settings option has been clicked!');
},
},
},
],
});
const productsStore = new DevExpress.data.DataSource(products);
$('#products').dxList({
dataSource: productsStore,
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="toolbar"></div>
<div id="products"></div>
</div>
</body>
</html>
.toolbar-label,
.toolbar-label > b {
font-size: 16px;
}
#products {
margin-top: 10px;
}
const productTypes = [{
id: 1,
text: 'All',
}, {
id: 2,
text: 'Video Players',
}, {
id: 3,
text: 'Televisions',
}, {
id: 4,
text: 'Monitors',
}, {
id: 5,
text: 'Projectors',
}];
const products = [{
text: 'HD Video Player',
type: 2,
}, {
text: 'SuperHD Video Player',
type: 2,
}, {
text: 'SuperLCD 42',
type: 3,
}, {
text: 'SuperLED 42',
type: 3,
}, {
text: 'SuperLED 50',
type: 3,
}, {
text: 'SuperLCD 55',
type: 3,
}, {
text: 'DesktopLCD 19',
type: 4,
}, {
text: 'DesktopLCD 21',
type: 4,
}, {
text: 'DesktopLED 21',
type: 4,
}, {
text: 'Projector Plus',
type: 5,
}, {
text: 'Projector PlusHD',
type: 5,
}];

<dx-toolbar>
<dxi-item location="before" widget="dxButton" [options]="backButtonOptions">
</dxi-item>
<dxi-item
location="before"
widget="dxButton"
locateInMenu="auto"
[options]="refreshButtonOptions"
>
</dxi-item>
<dxi-item location="center" widget="dxButton" locateInMenu="never">
<div *dxTemplate>
<div class="toolbar-label"><b>Tom's Club</b> Products</div>
</div>
</dxi-item>
<dxi-item
location="after"
widget="dxSelectBox"
locateInMenu="auto"
[options]="selectBoxOptions"
>
</dxi-item>
<dxi-item
location="after"
widget="dxButton"
locateInMenu="auto"
[options]="addButtonOptions"
>
</dxi-item>
<dxi-item
widget="dxButton"
locateInMenu="always"
[options]="saveButtonOptions"
>
</dxi-item>
<dxi-item
widget="dxButton"
locateInMenu="always"
[options]="printButtonOptions"
>
</dxi-item>
<dxi-item
widget="dxButton"
locateInMenu="always"
[options]="settingsButtonOptions"
>
</dxi-item>
</dx-toolbar>
<dx-list id="products" [dataSource]="productsStore"> </dx-list>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import {
DxListModule, DxToolbarModule, DxSelectBoxModule, DxTemplateModule,
} from 'devextreme-angular';
import DataSource from 'devextreme/data/data_source';
import notify from 'devextreme/ui/notify';
import { ProductType, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
})
export class AppComponent {
items: any[];
productTypes: ProductType[];
productsStore: any;
backButtonOptions: any;
refreshButtonOptions: any;
selectBoxOptions: any;
addButtonOptions: any;
saveButtonOptions: any;
printButtonOptions: any;
settingsButtonOptions: any;
constructor(service: Service) {
this.productTypes = service.getProductTypes();
this.productsStore = new DataSource(service.getProducts());
this.backButtonOptions = {
type: 'back',
onClick: () => {
notify('Back button has been clicked!');
},
};
this.refreshButtonOptions = {
icon: 'refresh',
onClick: () => {
notify('Refresh button has been clicked!');
},
};
this.selectBoxOptions = {
width: 140,
items: this.productTypes,
valueExpr: 'id',
displayExpr: 'text',
value: this.productTypes[0].id,
onValueChanged: (args) => {
if (args.value > 1) {
this.productsStore.filter('type', '=', args.value);
} else {
this.productsStore.filter(null);
}
this.productsStore.load();
},
};
this.addButtonOptions = {
icon: 'plus',
onClick: () => {
notify('Add button has been clicked!');
},
};
this.saveButtonOptions = {
text: 'Save',
onClick: () => {
notify('Save option has been clicked!');
},
};
this.printButtonOptions = {
text: 'Print',
onClick: () => {
notify('Print option has been clicked!');
},
};
this.settingsButtonOptions = {
text: 'Settings',
onClick: () => {
notify('Settings option has been clicked!');
},
};
}
}
@NgModule({
imports: [
BrowserModule,
DxListModule,
DxToolbarModule,
DxSelectBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .toolbar-label,
::ng-deep .toolbar-label > b {
font-size: 16px;
}
::ng-deep #products {
margin-top: 10px;
}
import { Injectable } from '@angular/core';
export class ProductType {
id: number;
text: string;
}
export class Product {
text: string;
type: number;
}
const productTypes: ProductType[] = [{
id: 1,
text: 'All',
}, {
id: 2,
text: 'Video Players',
}, {
id: 3,
text: 'Televisions',
}, {
id: 4,
text: 'Monitors',
}, {
id: 5,
text: 'Projectors',
}];
const products: Product[] = [{
text: 'HD Video Player',
type: 2,
}, {
text: 'SuperHD Video Player',
type: 2,
}, {
text: 'SuperLCD 42',
type: 3,
}, {
text: 'SuperLED 42',
type: 3,
}, {
text: 'SuperLED 50',
type: 3,
}, {
text: 'SuperLCD 55',
type: 3,
}, {
text: 'DesktopLCD 19',
type: 4,
}, {
text: 'DesktopLCD 21',
type: 4,
}, {
text: 'DesktopLED 21',
type: 4,
}, {
text: 'Projector Plus',
type: 5,
}, {
text: 'Projector PlusHD',
type: 5,
}];
@Injectable()
export class Service {
getProductTypes(): ProductType[] {
return productTypes;
}
getProducts(): Product[] {
return products;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.17',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17',
'@angular/forms': 'npm:@angular/forms@12.2.17',
'@angular/common': 'npm:@angular/common@12.2.17',
'@angular/compiler': 'npm:@angular/compiler@12.2.17',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.6/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.6/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.43',
'devextreme-angular': 'npm:devextreme-angular@22.2.6',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.17/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.6/*/package.json',
'npm:devextreme-angular@22.2.6/ui/*/package.json',
'npm:devextreme-angular@22.2.6/package.json',
'npm:devexpress-diagram@2.1.72/package.json',
'npm:devexpress-gantt@4.1.43/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.13.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import Toolbar, { Item } from 'devextreme-react/toolbar';
import List from 'devextreme-react/list';
import DataSource from 'devextreme/data/data_source';
import notify from 'devextreme/ui/notify';
import 'devextreme/ui/select_box';
import { productTypes, products } from './data.js';
function renderLabel() {
return <div className="toolbar-label"><b>Tom's Club</b> Products</div>;
}
class App extends React.Component {
render() {
return (
<React.Fragment>
<Toolbar>
<Item location="before"
widget="dxButton"
options={backButtonOptions} />
<Item location="before"
widget="dxButton"
options={refreshButtonOptions} />
<Item location="center"
locateInMenu="never"
render={renderLabel} />
<Item location="after"
locateInMenu="auto"
widget="dxSelectBox"
options={selectBoxOptions} />
<Item location="after"
locateInMenu="auto"
widget="dxButton"
options={addButtonOptions} />
<Item locateInMenu="always"
widget="dxButton"
options={saveButtonOptions} />
<Item locateInMenu="always"
widget="dxButton"
options={printButtonOptions} />
<Item locateInMenu="always"
widget="dxButton"
options={settingsButtonOptions} />
</Toolbar>
<List id="products" dataSource={productsStore} />
</React.Fragment>
);
}
}
const productsStore = new DataSource(products);
const backButtonOptions = {
type: 'back',
onClick: () => {
notify('Back button has been clicked!');
},
};
const refreshButtonOptions = {
icon: 'refresh',
onClick: () => {
notify('Refresh button has been clicked!');
},
};
const selectBoxOptions = {
width: 140,
items: productTypes,
valueExpr: 'id',
displayExpr: 'text',
value: productTypes[0].id,
onValueChanged: (args) => {
if (args.value > 1) {
productsStore.filter('type', '=', args.value);
} else {
productsStore.filter(null);
}
productsStore.load();
},
};
const addButtonOptions = {
icon: 'plus',
onClick: () => {
notify('Add button has been clicked!');
},
};
const saveButtonOptions = {
text: 'Save',
onClick: () => {
notify('Save option has been clicked!');
},
};
const printButtonOptions = {
text: 'Print',
onClick: () => {
notify('Print option has been clicked!');
},
};
const settingsButtonOptions = {
text: 'Settings',
onClick: () => {
notify('Settings option has been clicked!');
},
};
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.toolbar-label,
.toolbar-label > b {
font-size: 16px;
}
#products {
margin-top: 10px;
}
export const productTypes = [{
id: 1,
text: 'All',
}, {
id: 2,
text: 'Video Players',
}, {
id: 3,
text: 'Televisions',
}, {
id: 4,
text: 'Monitors',
}, {
id: 5,
text: 'Projectors',
}];
export const products = [{
text: 'HD Video Player',
type: 2,
}, {
text: 'SuperHD Video Player',
type: 2,
}, {
text: 'SuperLCD 42',
type: 3,
}, {
text: 'SuperLED 42',
type: 3,
}, {
text: 'SuperLED 50',
type: 3,
}, {
text: 'SuperLCD 55',
type: 3,
}, {
text: 'DesktopLCD 19',
type: 4,
}, {
text: 'DesktopLCD 21',
type: 4,
}, {
text: 'DesktopLED 21',
type: 4,
}, {
text: 'Projector Plus',
type: 5,
}, {
text: 'Projector PlusHD',
type: 5,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<div>
<DxToolbar>
<DxItem
:options="backButtonOptions"
location="before"
widget="dxButton"
/>
<DxItem
:options="refreshButtonOptions"
location="before"
widget="dxButton"
/>
<DxItem
location="center"
locate-in-menu="never"
>
<div class="toolbar-label"><b>Tom's Club</b> Products</div>
</DxItem>
<DxItem
:options="selectBoxOptions"
location="after"
locate-in-menu="auto"
widget="dxSelectBox"
/>
<DxItem
:options="addButtonOptions"
location="after"
locate-in-menu="auto"
widget="dxButton"
/>
<DxItem
:options="saveButtonOptions"
locate-in-menu="always"
widget="dxButton"
/>
<DxItem
:options="printButtonOptions"
locate-in-menu="always"
widget="dxButton"
/>
<DxItem
:options="settingsButtonOptions"
locate-in-menu="always"
widget="dxButton"
/>
</DxToolbar>
<DxList
id="products"
:data-source="productsStore"
/>
</div>
</template>
<script>
import DxToolbar, { DxItem } from 'devextreme-vue/toolbar';
import DxList from 'devextreme-vue/list';
import DataSource from 'devextreme/data/data_source';
import notify from 'devextreme/ui/notify';
import 'devextreme/ui/select_box';
import { productTypes, products } from './data.js';
export default {
components: {
DxToolbar,
DxList,
DxItem,
},
data() {
return {
productsStore: new DataSource(products),
backButtonOptions: {
type: 'back',
onClick: () => {
notify('Back button has been clicked!');
},
},
refreshButtonOptions: {
icon: 'refresh',
onClick: () => {
notify('Refresh button has been clicked!');
},
},
selectBoxOptions: {
width: 140,
items: productTypes,
valueExpr: 'id',
displayExpr: 'text',
value: productTypes[0].id,
onValueChanged: (args) => {
if (args.value > 1) {
this.productsStore.filter('type', '=', args.value);
} else {
this.productsStore.filter(null);
}
this.productsStore.load();
},
},
addButtonOptions: {
icon: 'plus',
onClick: () => {
notify('Add button has been clicked!');
},
},
saveButtonOptions: {
text: 'Save',
onClick: () => {
notify('Save option has been clicked!');
},
},
printButtonOptions: {
text: 'Print',
onClick: () => {
notify('Print option has been clicked!');
},
},
settingsButtonOptions: {
text: 'Settings',
onClick: () => {
notify('Settings option has been clicked!');
},
},
};
},
};
</script>
<style>
.toolbar-label,
.toolbar-label > b {
font-size: 16px;
}
#products {
margin-top: 10px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const productTypes = [{
id: 1,
text: 'All',
}, {
id: 2,
text: 'Video Players',
}, {
id: 3,
text: 'Televisions',
}, {
id: 4,
text: 'Monitors',
}, {
id: 5,
text: 'Projectors',
}];
export const products = [{
text: 'HD Video Player',
type: 2,
}, {
text: 'SuperHD Video Player',
type: 2,
}, {
text: 'SuperLCD 42',
type: 3,
}, {
text: 'SuperLED 42',
type: 3,
}, {
text: 'SuperLED 50',
type: 3,
}, {
text: 'SuperLCD 55',
type: 3,
}, {
text: 'DesktopLCD 19',
type: 4,
}, {
text: 'DesktopLCD 21',
type: 4,
}, {
text: 'DesktopLED 21',
type: 4,
}, {
text: 'Projector Plus',
type: 5,
}, {
text: 'Projector PlusHD',
type: 5,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.2.41/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);